OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
CallbackResultSpriteGroup Struct Reference
Inheritance diagram for CallbackResultSpriteGroup:

## Public Member Functions
| CallbackResultSpriteGroup (uint16 value, bool grf_version8)
| Creates a spritegroup representing a callback result.
uint16 | GetCallbackResult () const
Public Member Functions inherited from SpriteGroup
virtual SpriteID | GetResult () const
virtual byte | GetNumResults () const
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Data Fields
uint16 | result
Data Fields inherited from SpriteGroup
SpriteGroupType | type
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Static Public Member Functions inherited from SpriteGroup
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
Protected Member Functions inherited from SpriteGroup
| SpriteGroup (SpriteGroupType type)
virtual const SpriteGroup * | Resolve (ResolverObject &object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 215 of file newgrf_spritegroup.h.

## Constructor & Destructor Documentation

CallbackResultSpriteGroup::CallbackResultSpriteGroup | ( | uint16 | value,
|  | bool | grf_version8
| ) |  |
| inline

Creates a spritegroup representing a callback result.

Parameters

  value | The value that was used to represent this callback result
  grf_version8 | True, if we are dealing with a new NewGRF which uses GRF version >= 8.

Definition at line 221 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h